# Saved Addresses

[`https://live.sendbox.co/auth/addresses`](https://api.sendbox.co/auth/addresses)`​`<br>

{% tabs %}
{% tab title="Request" %}

### Headers

| Name          | Type   | Description       |
| ------------- | ------ | ----------------- |
| Authorization | String | Authorization-Key |
| Content-Type  | String | application/json  |
| {% endtab %}  |        |                   |

{% tab title="Response" %}

```
{
  "count": 4,
  "page_by": {
    "next_page": null,
    "prev_page": null,
    "per_page": 20,
    "total": 4,
    "page": 1,
    "pages": 1
  },
  "filter_by": {},
  "query": null,
  "view": null,
  "results": [
    {
      "city": "Atlantis",
      "post_code": null,
      "user_id": "5d373bdb9ec77c00347719a0",
      "name": "Jill",
      "country": {
        "code": "BD",
        "name": "Bangladesh",
        "is_shipment_origin": false,
        "phone_code": null,
        "enabled": true,
        "requires_post_code": true,
        "pk": "BD",
        "slug": "bangladesh"
      },
      "phone": "+8809000000000",
      "state": {
        "pk": "BD_C",
        "code": "BD_C",
        "slug": "dhaka",
        "country_code": "BD",
        "name": "Dhaka"
      },
      "street": "Killua",
      "address": "Jill- Killua Atlantis Dhaka Bangladesh",
      "lat": null,
      "pk": "5e3c45ca2a73f100393b868d",
      "lng": null,
      "_id": "5e3c45ca2a73f100393b868d",
      "email": "Jill@sad.com"
    },
    {
      "city": "Atlantis",
      "post_code": null,
      "user_id": "5d373bdb9ec77c00347719a0",
      "name": "Ajill",
      "country": {
        "code": "BB",
        "name": "Barbados",
        "is_shipment_origin": false,
        "phone_code": null,
        "enabled": true,
        "requires_post_code": null,
        "pk": "BB",
        "slug": "barbados"
      },
      "phone": "+109000000000",
      "state": {
        "pk": "BB_C",
        "code": "BB_C",
        "slug": "bridgetown",
        "country_code": "BB",
        "name": "Bridgetown"
      },
      "street": "Asem",
      "address": "Ajill- Asem Atlantis Bridgetown Barbados",
      "lat": null,
      "pk": "5e3c45472f66b20049a825e6",
      "lng": null,
      "_id": "5e3c45472f66b20049a825e6",
      "email": "Ajioll@sem.com"
    },
    {
      "city": "lagos",
      "post_code": null,
      "user_id": "5d373bdb9ec77c00347719a0",
      "name": "kalia",
      "country": {
        "code": "NG",
        "name": "Nigeria",
        "is_shipment_origin": false,
        "phone_code": null,
        "enabled": true,
        "requires_post_code": null,
        "pk": "NG",
        "slug": "nigeria"
      },
      "phone": "+2349068772897",
      "state": {
        "pk": "LOS",
        "code": "LOS",
        "slug": "lagos",
        "country_code": "NG",
        "name": "Lagos"
      },
      "street": "sango",
      "address": "kalia- sango lagos Lagos Nigeria",
      "lat": null,
      "pk": "5e3c3fbe71129b0041a36851",
      "lng": null,
      "_id": "5e3c3fbe71129b0041a36851",
      "email": "jill@jack.gmail.com"
    },
    {
      "city": "Ikeja",
      "post_code": null,
      "user_id": "5d373bdb9ec77c00347719a0",
      "name": "Jason",
      "country": {
        "code": "NG",
        "name": "Nigeria",
        "is_shipment_origin": false,
        "phone_code": null,
        "enabled": true,
        "requires_post_code": null,
        "pk": "NG",
        "slug": "nigeria"
      },
      "phone": "+2349083551998",
      "state": {
        "pk": "LOS",
        "code": "LOS",
        "slug": "lagos",
        "country_code": "NG",
        "name": "Lagos"
      },
      "street": "62 Old Yaba Road ",
      "address": "Jason- 62 Old Yaba RoadIkeja Lagos Nigeria",
      "lat": null,
      "pk": "5dde412d2907a20040505426",
      "lng": null,
      "_id": "5dde412d2907a20040505426",
      "email": null
    }
  ],
  "sort_by": [
    {
      "asc_desc": "descending",
      "order_by": "date_created"
    }
  ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sendbox.co/shipping/saved-addresses.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
